Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.sdk
Class SDKDescriptor

`java.lang.Object
oracle.toplink.publicinterface.Descriptor
oracle.toplink.sdk.SDKDescriptor`

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

Direct Known Subclasses:
  XMLDescriptor

Deprecated. since OracleAS TopLink 10g (10.1.3). This class is replaced by `oracle.toplink.eis`

public class SDKDescriptor
extends Descriptor

`SDKDescriptor` supplements the `Descriptor` protocol with a number of defaults and helper methods that simplify the use of custom queries/calls (since every query in an `SDKDescriptor` must be custom). `SDKDescriptor` also implements support for reading and writing non-relational data from database rows, using `SDKFieldValue`s.

Since:
  TOPLink/Java 3.0
See Also:
  `SDKCall`, `SDKFieldValue`, Serialized Form

Field Summary

Fields inherited from class oracle.toplink.publicinterface.Descriptor
`DO_NOT_SEND_CHANGES, INVALIDATE_CHANGED_OBJECTS, SEND_NEW_OBJECTS_WITH_CHANGES, SEND_OBJECT_CHANGES, UNDEFINED_OBJECT_CHANGE_BEHAVIOR`

Constructor Summary
`SDKDescriptor()` Deprecated. Construct an initialized descriptor.

Method Summary
`void` | `addReadAllCall(java.lang.String name, SDKCall call)` Deprecated. PUBLIC: Add a named read query to the descriptor that uses the specified call and no arguments.
`void` | `addReadAllCall(java.lang.String name, SDKCall call, java.lang.String argumentName)` Deprecated. PUBLIC: Add a named read query to the descriptor that uses the specified call and argument name.
`void` | `addReadAllCall(java.lang.String name, SDKCall call, java.lang.String[] argumentNames)` Deprecated. PUBLIC: Add a named read query to the descriptor that uses the specified call and argument names.
`void` | `addReadAllCall(java.lang.String name, SDKCall call, java.lang.String argumentName1, java.lang.String argumentName2)` Deprecated. PUBLIC: Add a named read query to the descriptor that uses the specified call and argument names.
`void` | `addReadAllCall(java.lang.String name, SDKCall call, java.lang.String argumentName1, java.lang.String argumentName2, java.lang.String argumentName3)` Deprecated. PUBLIC: Add a named read query to the descriptor that uses the specified call and argument names.
`void` | `addReadAllCall(java.lang.String name, SDKCall call, java.util.Vector argumentNames)` Deprecated. PUBLIC: Add a named read query to the descriptor that uses the specified call and argument names.
`void` | `addReadObjectCall(java.lang.String name, SDKCall call)` Deprecated. PUBLIC: Add a named read query to the descriptor that uses the specified call and no arguments.
`void` | `addReadObjectCall(java.lang.String name, SDKCall call, java.lang.String argumentName)` Deprecated. PUBLIC: Add a named read query to the descriptor that uses the specified call and argument name.
`void` | `addReadObjectCall(java.lang.String name, SDKCall call, java.lang.String[] argumentNames)` Deprecated. PUBLIC: Add a named read query to the descriptor that uses the specified call and argument names.
`void` | `addReadObjectCall(java.lang.String name, SDKCall call, java.lang.String argumentName1, java.lang.String argumentName2)` Deprecated. PUBLIC: Add a named read query to the descriptor that uses the specified call and argument names.
`void` | `addReadObjectCall(java.lang.String name, SDKCall call, java.lang.String argumentName1, java.lang.String argumentName2, java.lang.String argumentName3)` Deprecated. PUBLIC: Add a named read query to the descriptor that uses the specified call and argument names.
`void` | `addReadObjectCall(java.lang.String name, SDKCall call, java.util.Vector argumentNames)` Deprecated. PUBLIC: Add a named read query to the descriptor that uses the specified call and argument names.
`void` | `addReadTranslation(java.lang.String dataStoreFieldName, java.lang.String mappingFieldName)` Deprecated. Add a translation.
`void` | `addReadTranslations(java.lang.String[] dataStoreFieldNames, java.lang.String[] mappingFieldNames)` Deprecated. Add translations.
`void` | `addReadTranslations(java.util.Vector translations)` Deprecated. Add translations.
`void` | `addWriteTranslation(java.lang.String mappingFieldName, java.lang.String dataStoreFieldName)` Deprecated. Add a translation.
`void` | `addWriteTranslations(java.lang.String[] mappingFieldNames, java.lang.String[] dataStoreFieldNames)` Deprecated. Add translations.
`void` | `addWriteTranslations(java.util.Vector translations)` Deprecated. Add translations.
`java.lang.String` | `getDataTypeName()` Deprecated. PUBLIC: Return the data type name for the class of objects the descriptor maps.
`void` | `setDataTypeName(java.lang.String dataTypeName)` Deprecated. PUBLIC: Specify the data type name for the class of objects the descriptor maps.
`void` | `setDeleteCall(SDKCall call)` Deprecated. PUBLIC: Set the call to be used for delete operations.
`void` | `setDoesExistCall(SDKCall call)` Deprecated. PUBLIC: Set the call to be used for testing for an object's existence on the data store.
`void` | `setInsertCall(SDKCall call)` Deprecated. PUBLIC: Set the call to be used for insert operations.
`void` | `setQueryManager(DescriptorQueryManager queryManager)` Deprecated. This method should only be called by di when a descriptor has been read from the data store.
`void` | `setReadAllCall(SDKCall call)` Deprecated. PUBLIC: Set the call to be used for standard read-all operations.
`void` | `setReadObjectCall(SDKCall call)` Deprecated. PUBLIC: Set the call to be used for standard read by primary key operations.
`void` | `setUpdateCall(SDKCall call)` Deprecated. PUBLIC: Set the call to be used for update operations.

Methods inherited from class oracle.toplink.publicinterface.Descriptor
`addAbstractQueryKey, addConstraintDependencies, addDirectMapping, addDirectMapping, addDirectQueryKey, addMapping, addMultipleTableForeignKeyFieldName, addMultipleTablePrimaryKeyFieldName, addPrimaryKeyField, addPrimaryKeyFieldName, addQueryKey, addTableName, alwaysConformResultsInUnitOfWork, alwaysRefreshCache, alwaysRefreshCacheOnRemote, applyAmendmentMethod, createCopyPolicy, createInstantiationPolicy, descriptorIsAggregate, descriptorIsAggregateCollection, descriptorIsForInterface, descriptorIsNormal, disableCacheHits, disableCacheHitsOnRemote, dontAlwaysConformResultsInUnitOfWork, dontAlwaysRefreshCache, dontAlwaysRefreshCacheOnRemote, dontDisableCacheHits, dontDisableCacheHitsOnRemote, dontOnlyRefreshCacheIfNewerVersion, getAlias, getAmendmentClass, getAmendmentMethodName, getCacheInvalidationPolicy, getCacheSynchronizationType, getCMPPolicy, getConstraintDependencies, getDescriptorType, getEventManager, getFetchGroupManager, getHistoryPolicy, getIdentityMapSize, getInheritancePolicy, getInterfacePolicy, getJavaClass, getJavaClassName, getMappingForAttributeName, getMappings, getObjectChangePolicy, getOptimisticLockingPolicy, getPrimaryKeyFieldNames, getProperties, getProperty, getQueryKeys, getQueryManager, getRemoteIdentityMapSize, getReturningPolicy, getSequenceNumberFieldName, getSequenceNumberName, getTableName, getTableNames, getWrapperPolicy, isAggregateCollectionDescriptor, isAggregateDescriptor, isChildDescriptor, isDescriptorForInterface, isIsolated, onlyRefreshCacheIfNewerVersion, removeMappingForAttributeName, removeProperty, setAlias, setAmendmentClass, setAmendmentMethodName, setCacheInvalidationPolicy, setCacheSynchronizationType, setCMPPolicy, setConstraintDependencies, setDefaultTableName, setDescriptorType, setFetchGroupManager, setHistoryPolicy, setIdentityMapClass, setIdentityMapSize, setIsIsolated, setJavaClass, setJavaInterface, setMultipleTableInsertOrder, setObjectChangePolicy, setOptimisticLockingPolicy, setPrimaryKeyFieldName, setPrimaryKeyFieldNames, setProperty, setReadOnly, setRemoteIdentityMapClass, setRemoteIdentityMapSize, setReturningPolicy, setSequenceNumberFieldName, setSequenceNumberName, setShouldAlwaysConformResultsInUnitOfWork, setShouldAlwaysRefreshCache, setShouldAlwaysRefreshCacheOnRemote, setShouldBeReadOnly, setShouldDisableCacheHits, setShouldDisableCacheHitsOnRemote, setShouldOnlyRefreshCacheIfNewerVersion, setShouldOrderMappings, setTableName, setTableNames, setTableQualifier, setWrapperPolicy, shouldAlwaysConformResultsInUnitOfWork, shouldAlwaysRefreshCache, shouldAlwaysRefreshCacheOnRemote, shouldBeReadOnly, shouldDisableCacheHits, shouldDisableCacheHitsOnRemote, shouldOnlyRefreshCacheIfNewerVersion, shouldUseCacheIdentityMap, shouldUseFullIdentityMap, shouldUseHardCacheWeakIdentityMap, shouldUseNoIdentityMap, shouldUseRemoteCacheIdentityMap, shouldUseRemoteFullIdentityMap, shouldUseRemoteHardCacheWeakIdentityMap, shouldUseRemoteNoIdentityMap, shouldUseRemoteSoftCacheWeakIdentityMap, shouldUseRemoteWeakIdentityMap, shouldUseSoftCacheWeakIdentityMap, shouldUseWeakIdentityMap, toString, useAllFieldsLocking, useCacheIdentityMap, useChangedFieldsLocking, useCloneCopyPolicy, useCloneCopyPolicy, useDefaultConstructorInstantiationPolicy, useFactoryInstantiationPolicy, useFactoryInstantiationPolicy, useFactoryInstantiationPolicy, useFullIdentityMap, useHardCacheWeakIdentityMap, useInstantiationCopyPolicy, useMethodInstantiationPolicy, useNoIdentityMap, useRemoteCacheIdentityMap, useRemoteFullIdentityMap, useRemoteHardCacheWeakIdentityMap, useRemoteNoIdentityMap, useRemoteSoftCacheWeakIdentityMap, useRemoteWeakIdentityMap, useSelectedFieldsLocking, useSoftCacheWeakIdentityMap, usesOptimisticLocking, usesSequenceNumbers, useTimestampLocking, useTimestampLocking, useVersionLocking, useVersionLocking, useWeakIdentityMap`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SDKDescriptor

    public SDKDescriptor()

  Deprecated.
  Construct an initialized descriptor.

Method Detail

### addReadAllCall

    public void addReadAllCall(java.lang.String name,
                               SDKCall call)

  Deprecated.
  PUBLIC: Add a named read query to the descriptor that uses the specified call and no arguments.

### addReadAllCall

    public void addReadAllCall(java.lang.String name,
                               SDKCall call,
                               java.lang.String[] argumentNames)

  Deprecated.
  PUBLIC: Add a named read query to the descriptor that uses the specified call and argument names.

### addReadAllCall

    public void addReadAllCall(java.lang.String name,
                               SDKCall call,
                               java.lang.String argumentName)

  Deprecated.
  PUBLIC: Add a named read query to the descriptor that uses the specified call and argument name.

### addReadAllCall

    public void addReadAllCall(java.lang.String name,
                               SDKCall call,
                               java.lang.String argumentName1,
                               java.lang.String argumentName2)

  Deprecated.
  PUBLIC: Add a named read query to the descriptor that uses the specified call and argument names.

### addReadAllCall

    public void addReadAllCall(java.lang.String name,
                               SDKCall call,
                               java.lang.String argumentName1,
                               java.lang.String argumentName2,
                               java.lang.String argumentName3)

  Deprecated.
  PUBLIC: Add a named read query to the descriptor that uses the specified call and argument names.

### addReadAllCall

    public void addReadAllCall(java.lang.String name,
                               SDKCall call,
                               java.util.Vector argumentNames)

  Deprecated.
  PUBLIC: Add a named read query to the descriptor that uses the specified call and argument names.

### addReadObjectCall

    public void addReadObjectCall(java.lang.String name,
                                  SDKCall call)

  Deprecated.
  PUBLIC: Add a named read query to the descriptor that uses the specified call and no arguments.

### addReadObjectCall

    public void addReadObjectCall(java.lang.String name,
                                  SDKCall call,
                                  java.lang.String[] argumentNames)

  Deprecated.
  PUBLIC: Add a named read query to the descriptor that uses the specified call and argument names.

### addReadObjectCall

    public void addReadObjectCall(java.lang.String name,
                                  SDKCall call,
                                  java.lang.String argumentName)

  Deprecated.
  PUBLIC: Add a named read query to the descriptor that uses the specified call and argument name.

### addReadObjectCall

    public void addReadObjectCall(java.lang.String name,
                                  SDKCall call,
                                  java.lang.String argumentName1,
                                  java.lang.String argumentName2)

  Deprecated.
  PUBLIC: Add a named read query to the descriptor that uses the specified call and argument names.

### addReadObjectCall

    public void addReadObjectCall(java.lang.String name,
                                  SDKCall call,
                                  java.lang.String argumentName1,
                                  java.lang.String argumentName2,
                                  java.lang.String argumentName3)

  Deprecated.
  PUBLIC: Add a named read query to the descriptor that uses the specified call and argument names.

### addReadObjectCall

    public void addReadObjectCall(java.lang.String name,
                                  SDKCall call,
                                  java.util.Vector argumentNames)

  Deprecated.
  PUBLIC: Add a named read query to the descriptor that uses the specified call and argument names.

### addReadTranslation

    public void addReadTranslation(java.lang.String dataStoreFieldName,
                                   java.lang.String mappingFieldName)

  Deprecated.
  Add a translation. When a database row is read from the data store, any field with the specified data store field name will be translated to the specified mapping field name. The corresponding write translation will also be added.

### addReadTranslations

    public void addReadTranslations(java.lang.String[] dataStoreFieldNames,
                                    java.lang.String[] mappingFieldNames)

  Deprecated.
  Add translations. When a database row is read from the data store, any field with the specified data store field name will be translated to the specified mapping field name. The corresponding write translations will also be added.

### addReadTranslations

    public void addReadTranslations(java.util.Vector translations)

  Deprecated.
  Add translations. When a database row is read from the data store, any field with the specified data store field name will be translated to the specified mapping field name. The corresponding write translations will also be added.

### addWriteTranslation

    public void addWriteTranslation(java.lang.String mappingFieldName,
                                    java.lang.String dataStoreFieldName)

  Deprecated.
  Add a translation. When a database row is to be written to the data store, any field with the specified mapping field name will be translated to the specified data store field name. The corresponding read translation will also be added.

### addWriteTranslations

    public void addWriteTranslations(java.lang.String[] mappingFieldNames,
                                     java.lang.String[] dataStoreFieldNames)

  Deprecated.
  Add translations. When a database row is to be written to the data store, any field with the specified mapping field name will be translated to the specified data store field name. The corresponding read translations will also be added.

### addWriteTranslations

    public void addWriteTranslations(java.util.Vector translations)

  Deprecated.
  Add translations. When a database row is to be written to the data store, any field with the specified mapping field name will be translated to the specified data store field name. The corresponding read translations will also be added.

### getDataTypeName

    public java.lang.String getDataTypeName()
                                     throws DescriptorException

  Deprecated.
  PUBLIC: Return the data type name for the class of objects the descriptor maps.
  Throws:
    `DescriptorException`

### setDataTypeName

    public void setDataTypeName(java.lang.String dataTypeName)
                         throws DescriptorException

  Deprecated.
  PUBLIC: Specify the data type name for the class of objects the descriptor maps.
  Throws:
    `DescriptorException`

### setDeleteCall

    public void setDeleteCall(SDKCall call)

  Deprecated.
  PUBLIC: Set the call to be used for delete operations.

### setDoesExistCall

    public void setDoesExistCall(SDKCall call)

  Deprecated.
  PUBLIC: Set the call to be used for testing for an object's existence on the data store.

### setInsertCall

    public void setInsertCall(SDKCall call)

  Deprecated.
  PUBLIC: Set the call to be used for insert operations.

### setQueryManager

    public void setQueryManager(DescriptorQueryManager queryManager)

  Deprecated.
  This method should only be called by di when a descriptor has been read from the data store.
  Overrides:
    `setQueryManager` in class `Descriptor`

### setReadAllCall

    public void setReadAllCall(SDKCall call)

  Deprecated.
  PUBLIC: Set the call to be used for standard read-all operations.

### setReadObjectCall

    public void setReadObjectCall(SDKCall call)

  Deprecated.
  PUBLIC: Set the call to be used for standard read by primary key operations.

### setUpdateCall

    public void setUpdateCall(SDKCall call)

  Deprecated.
  PUBLIC: Set the call to be used for update operations.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD